"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TwitterSvg = exports.LinkedinSvg = exports.InstagramSvg = exports.FacebookSvg = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _jsxRuntime = require("react/jsx-runtime");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var TwitterSvg = function TwitterSvg(props) {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("svg", _objectSpread(_objectSpread({
    xmlns: "http://www.w3.org/2000/svg",
    width: 120,
    height: 100,
    viewBox: "0 0 90 75"
  }, props), {}, {
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)("path", {
      d: "M54.2 2.1c-5.8 2.9-9.4 8.5-10 15.3l-.4 5.3-5-.8c-11.1-1.8-19.6-6-28.3-14L6 3.8 5 6.5c-2.3 6.1-.6 13.9 4.3 19.2 2.2 2.5 1.3 2.9-2.7 1.3-2.3-.8-2.6-.7-2.6 1.1 0 3.6 2.6 8.4 6.4 11.7 2 1.7 4.1 3.2 4.6 3.2.6 0 1 .4 1 1 0 .5-1.1 1-2.5 1s-2.5.6-2.5 1.3c0 2.7 7 8.6 11.7 10l4.7 1.4-6.6 3.3c-4.8 2.3-8.6 3.4-13.4 3.8l-6.7.5 4.6 2.4C24.6 77.5 50 73.4 65 58c8.1-8.2 13.6-19.6 15.2-31 1-7.8 1.5-8.8 5-12.5 4.5-4.8 4.8-5.8 1.2-4.5-5 2-5.6 1.2-2.3-3 3.7-4.5 3.4-5.8-.8-3.7-4.3 2.2-8.1 2.9-8.9 1.6C73.3 3 65.7 0 62 0c-1.9 0-5.4 1-7.8 2.1z"
    })
  }));
};

exports.TwitterSvg = TwitterSvg;

var FacebookSvg = function FacebookSvg(props) {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("svg", _objectSpread(_objectSpread({
    xmlns: "http://www.w3.org/2000/svg",
    width: 120,
    height: 120,
    viewBox: "0 0 90 90"
  }, props), {}, {
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)("path", {
      d: "M5.8 1.6C.1 4.6 0 5.6 0 45c0 39.6.1 40.5 6 43.5 2.3 1.2 6.8 1.5 21 1.5h18V59H34V45h11v-7.3C45 23.5 51.5 17 65.7 17H73v13.9l-5.2.3-5.3.3-.3 6.7-.3 6.7 6.9.3 6.9.3-2.6 6.7-2.6 6.8H62v31h9.5c6.6 0 10.5-.5 12.5-1.5 5.9-3 6-3.9 6-43.5s-.1-40.5-6-43.5C79.7-.7 9.9-.7 5.8 1.6z"
    })
  }));
};

exports.FacebookSvg = FacebookSvg;

var InstagramSvg = function InstagramSvg(props) {
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("svg", _objectSpread(_objectSpread({
    xmlns: "http://www.w3.org/2000/svg",
    width: 120,
    height: 120,
    viewBox: "0 0 90 90"
  }, props), {}, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("path", {
      d: "M19.7 1.4C10.5 4.8 3.3 12.3.9 21.3.3 23.7 0 34.1.2 47.4l.3 22.1 3 5.3c3.2 5.9 6.6 9.1 12.9 12.5 3.9 2.1 5.3 2.2 28.6 2.2h24.5l5.3-3c5.9-3.2 9.1-6.6 12.5-12.9 2.1-3.9 2.2-5.3 2.2-28.6s-.1-24.7-2.2-28.6c-3.4-6.3-6.6-9.7-12.5-12.9l-5.3-3-23-.2C28.9.1 22.6.3 19.7 1.4zm52.1 19.2c.4 2.6-2.6 4-4.5 2.1-.8-.7-1.1-2.1-.7-3.1.9-2.4 4.8-1.7 5.2 1zm-18 4c17.6 7.3 17.6 33.5 0 40.8-4.8 2-12.8 2-17.6 0-17.3-7.2-17.8-32.6-.7-40.5 4.9-2.3 13.3-2.4 18.3-.3z"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("path", {
      d: "M38.2 33c-9.4 5.7-9.4 18.3 0 24 6.4 3.9 14.6 1.6 18.8-5.2 7.1-11.7-7.1-25.9-18.8-18.8z"
    })]
  }));
};

exports.InstagramSvg = InstagramSvg;

var LinkedinSvg = function LinkedinSvg(props) {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("svg", _objectSpread(_objectSpread({
    xmlns: "http://www.w3.org/2000/svg",
    width: 120,
    height: 120,
    viewBox: "0 0 90 90"
  }, props), {}, {
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)("path", {
      d: "M9 2.3C6 3.9 3.9 6 2.3 9 0 13.2 0 13.9 0 44.5S0 75.8 2.3 80C3.9 83 6 85.1 9 86.7 13.2 89 13.9 89 44.2 89c33.5 0 34.9-.2 40-5.6 1.5-1.6 3.2-4.2 3.7-5.7.7-1.8 1.1-14.3 1.1-33.6 0-30.2 0-30.9-2.3-35.1C85.1 6 83 3.9 80 2.3 75.8 0 75.1 0 44.5 0S13.2 0 9 2.3zm16.7 14.9c1.3 1.2 2.3 3.2 2.3 4.5 0 3.1-4.2 7.3-7.3 7.3-3.7 0-7.7-3.6-7.7-7 0-6.2 8-9.2 12.7-4.8zm42.6 18.6C73.6 39 75 44 75 59.8V74H62V62.6c0-11.2-.9-16.3-3.3-17.8-2.2-1.4-6.1-.8-8.4 1.4-2.2 2-2.3 2.9-2.3 15V74H34.1l.4-19.8.5-19.7 6.5-.3c6.5-.3 6.5-.3 6.5 2.4v2.7l2.4-2.2c4.5-4.3 11.9-4.8 17.9-1.3zM27 54v20H14V34h13v20z"
    })
  }));
};

exports.LinkedinSvg = LinkedinSvg;